Bug 55752

Summary: Using RegionUtil will result merged cell turn black when clicked in
Product: POI Reporter: btpka3
Component: XSSFAssignee: POI Developers List <dev>
Status: NEW ---    
Severity: normal CC: onealj
Priority: P2    
Version: 3.9-FINAL   
Target Milestone: ---   
Hardware: PC   
OS: All   
Bug Depends on: 56548    
Bug Blocks:    
Attachments: Sample to show this bug.
Save workbook to poi.test.xssf.output.dir

Description btpka3 2013-11-07 03:15:25 UTC
Created attachment 31022 [details]
Sample to show this bug.

After using RegionUtil.setBorderBottom(), when click in the merged cell, the cell will turn to black, and could see the content.

Please run attachment, then click in "AAA" cell and "BBB" cell to check the difference.
Comment 1 Dominik Stadler 2015-04-30 11:50:28 UTC
There is now a verifying testcase in class TestUnfixedBugs which allows to reproduce this locally.
Comment 2 Javen O'Neal 2015-09-06 10:59:09 UTC
Created attachment 33069 [details]
Save workbook to poi.test.xssf.output.dir

attachment 31022 [details] saves the file to "C:/test.xlsx". This fails on my Linux computer.

The attached patch saves the workbook to SystemProperty(poi.test.xssf.output.dir)/bug55752.xlsx.
Comment 3 Javen O'Neal 2015-09-06 11:03:37 UTC
For reference, attachment 31022 [details] committed in r1676965 <https://svn.apache.org/viewvc?view=revision&revision=1676965>.
Comment 4 Dominik Stadler 2015-09-14 17:57:54 UTC
This is similar to bug 56548 where the actual cause is discussed as having different default-values for foreground/background fill which POI does currently not implement correctly...